Package com.independentsoft.office.word.mailMerge

# Class RecipientData

java.lang.Object
com.independentsoft.office.word.mailMerge.RecipientData

public class RecipientData extends Object
The Class RecipientData.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecipientData()`
  Instantiates a new recipient data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RecipientData`
  `clone()`
  `ExtendedBoolean`
  `getActive()`
  Gets the active.
  `long`
  `getColumnIndex()`
  Gets the column index.
  `String`
  `getUniqueTag()`
  Gets the unique tag.
  `void`
  `setActive​(ExtendedBoolean active)`
  Sets the active.
  `void`
  `setColumnIndex​(long columnIndex)`
  Sets the column index.
  `void`
  `setUniqueTag​(String uniqueTag)`
  Sets the unique tag.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RecipientData

    public RecipientData()
    Instantiates a new recipient data.

- ## Method Details

  - ### clone

    public RecipientData clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumnIndex

    public long getColumnIndex()
    Gets the column index.
    Returns:
      the column index

  - ### setColumnIndex

    public void setColumnIndex​(long columnIndex)
    Sets the column index.
    Parameters:
      `columnIndex` - the new column index

  - ### getActive

    public ExtendedBoolean getActive()
    Gets the active.
    Returns:
      the active

  - ### setActive

    public void setActive​(ExtendedBoolean active)
    Sets the active.
    Parameters:
      `active` - the new active

  - ### getUniqueTag

    public String getUniqueTag()
    Gets the unique tag.
    Returns:
      the unique tag

  - ### setUniqueTag

    public void setUniqueTag​(String uniqueTag)
    Sets the unique tag.
    Parameters:
      `uniqueTag` - the new unique tag